#
# spec file for package vdr-plugin-systeminfo
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pluginname systeminfo
Name:           vdr-plugin-%{pluginname}
Version:        0.1.4
Release:        lp150.1.1
Summary:        Shows some system-information on the OSD
License:        GPL-2.0-only
Group:          Hardware/TV
Url:            http://firefly.vdr-developer.org/systeminfo/
Source0:        http://firefly.vdr-developer.org/systeminfo/vdr-systeminfo-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This plugin for Klaus Schmidinger's Video Disc Recorder VDR displays system informations like CPU type and speed, disk and swap space etc. It uses the output of an external script (systeminfo.sh) which can be freely customized to the personal needs.

%prep
%setup -q -n %{pluginname}-%{version}

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?smp_mflags}

%install
make install DESTDIR=%{buildroot}
%{vdr_find_locale}

%files -f vdrlocale.files
%defattr(-,root,root)
%{_libdir}/vdr/*
%{vdr_dirs}
%doc HISTORY README scripts/systeminfo.sh
%license COPYING

%changelog
* Wed Dec 26 2018 Stefan Seyfried <seife+obs@b1-systems.com>
- update to 0.1.4 (2016-03-20):
  * added support for /etc/os-release for getting the distribution
  * added example script 50-systeminfo.conf for conf.d mechanism
  * fixed compile errors with VDR 2.3.1
  * added uptime to systeminfo.sh
* Thu Apr 10 2014 seife+obs@b1-systems.com
- update to 0.1.3
  - improve build system for newer VDR versions
- get rid of vdr_old_plugin_* macros, use plain "make install"
* Sun Mar 30 2014 seife+obs@b1-systems.com
- avoid build date in locale files
* Sun Mar 30 2014 seife+obs@b1-systems.com
- use setup macro
- run spec-cleaner
- remove vdrapi from package version
- use PreReq vdr_prereq instead of vdrapi requires
* Fri Mar 12 2010 wittemar@googlemail.com
- update to 0.1.1
